Get an AI integration - Arize AX Docs
Get an AI integration
cURL
curl --request GET \
--url https://api.arize.com/v2/ai-integrations/{integration_id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.arize.com/v2/ai-integrations/{integration_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arize.com/v2/ai-integrations/{integration_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.arize.com/v2/ai-integrations/{integration_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.arize.com/v2/ai-integrations/{integration_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java
HttpResponse<String> response = Unirest.get("https://api.arize.com/v2/ai-integrations/{integration_id}")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.arize.com/v2/ai-integrations/{integration_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Responses
Success (200)
An AI integration object
Error Responses:
400
Invalid request parameters
The 'name' field is required and must be a non-empty string.
401
Authentication required
You must be authenticated to access this resource.
404
Resource not found
The requested resource with ID '12345' was not found.
429
Rate limit exceeded
You have exceeded the allowed number of requests. Please try again later.
Authorization
Authorization
Type: string
Location: header
Required: true
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format:
authorization:
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| integration_id | string | Yes | The unique AI integration identifier (base64). A universally unique identifier (base64-encoded opaque string). |
Response Fields
| Field | Type | Required | Description |
|---|---|---|---|
| id | string | Yes | The integration ID |
| name | string | Yes | The integration name |
| provider | enum |
Yes | The AI provider for this integration |
| has_api_key | boolean | Yes | Whether an API key is configured (the key itself is never returned) |
| enable_default_models | boolean | Yes | Whether the provider's default model list is enabled |
| function_calling_enabled | boolean | Yes | Whether function/tool calling is enabled |
| auth_type | enum |
Yes | The authentication method for this integration |
| scopings | object[] | Yes | Visibility scoping rules |
| created_at | string |
Yes | When the integration was created |
| updated_at | string |
Yes | When the integration was last updated |
| created_by_user_id | string | Yes | The user ID of the user who created the integration |
| base_url | string null | No | Custom base URL for the provider |
| model_names | string[] null | No | Supported model names |
| headers | object null | No | Custom headers included in requests |
| provider_metadata | object | Yes | Provider-specific configuration. For AWS_BEDROCK, must include role_arn. For VERTEX_AI, must include project_id, location, and project_access_label. |